package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 特困人员对象 care_persons
 * 
 * @author qy
 * @date 2024-11-25
 */
public class CarePersons extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 特困人员的唯一标识符 */
    private Long personId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String dateOfBirth;

    /** 性别（男、女） */
    @Excel(name = "性别", readConverterExp = "男=、女")
    private String gender;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idNumber;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phoneNumber;

    /** 紧急联系人 */
    @Excel(name = "紧急联系人")
    private String emergencyContact;

    /** 紧急联系人电话 */
    @Excel(name = "紧急联系人电话")
    private String emergencyPhone;

    /** 健康状况 */
    @Excel(name = "健康状况")
    private String healthStatus;

    /** 疾病史 */
    @Excel(name = "疾病史")
    private String medicalConditions;

    /** 是否残疾 */
    @Excel(name = "是否残疾")
    private String disability;

    /** 登记日期 */
    @Excel(name = "登记日期")
    private String registeredDate;

    /** 关联用户表id */
    @Excel(name = "关联用户表id")
    private Long userId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public Long getAge() {
        return age;
    }

    public void setAge(Long age) {
        this.age = age;
    }

    //年龄
    private Long age;

    public void setPersonId(Long personId) 
    {
        this.personId = personId;
    }

    public Long getPersonId() 
    {
        return personId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDateOfBirth(String dateOfBirth) 
    {
        this.dateOfBirth = dateOfBirth;
    }

    public String getDateOfBirth() 
    {
        return dateOfBirth;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setIdNumber(String idNumber) 
    {
        this.idNumber = idNumber;
    }

    public String getIdNumber() 
    {
        return idNumber;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setEmergencyContact(String emergencyContact) 
    {
        this.emergencyContact = emergencyContact;
    }

    public String getEmergencyContact() 
    {
        return emergencyContact;
    }
    public void setEmergencyPhone(String emergencyPhone) 
    {
        this.emergencyPhone = emergencyPhone;
    }

    public String getEmergencyPhone() 
    {
        return emergencyPhone;
    }
    public void setHealthStatus(String healthStatus) 
    {
        this.healthStatus = healthStatus;
    }

    public String getHealthStatus() 
    {
        return healthStatus;
    }
    public void setMedicalConditions(String medicalConditions) 
    {
        this.medicalConditions = medicalConditions;
    }

    public String getMedicalConditions() 
    {
        return medicalConditions;
    }
    public void setDisability(String disability) 
    {
        this.disability = disability;
    }

    public String getDisability() 
    {
        return disability;
    }
    public void setRegisteredDate(String registeredDate) 
    {
        this.registeredDate = registeredDate;
    }

    public String getRegisteredDate() 
    {
        return registeredDate;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("personId", getPersonId())
            .append("name", getName())
            .append("dateOfBirth", getDateOfBirth())
            .append("gender", getGender())
            .append("idNumber", getIdNumber())
            .append("address", getAddress())
            .append("phoneNumber", getPhoneNumber())
            .append("emergencyContact", getEmergencyContact())
            .append("emergencyPhone", getEmergencyPhone())
            .append("healthStatus", getHealthStatus())
            .append("medicalConditions", getMedicalConditions())
            .append("disability", getDisability())
            .append("registeredDate", getRegisteredDate())
            .append("userId", getUserId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
